Slony-I 2.2.10 Documentation
Prev | Fast Backward | Chapter 8. Schema schemadoc | Fast Forward | Next

# 8.85. registernodeconnection(p_nodeid integer)

Function Properties

Language: PLPGSQL

Return Type: integer

Register (uniquely) the node connection so that only one slon can service the node

    begin
    	insert into sl_nodelock
    		(nl_nodeid, nl_backendpid)
    		values
    		(p_nodeid, pg_backend_pid());

    	return 0;
    end;

Prev | Home | Next
recreate_log_trigger(p_tab_attkind text, p_tab_id oid, p_fq_table_name text) | Up | registry_get_int4(p_default text, p_key integer)